flags.c File Reference

Testing the nfft. More...

`#include "config.h"`
`#include <stdio.h>`
`#include <math.h>`
`#include <string.h>`
`#include <stdlib.h>`
`#include "nfft3.h"`
`#include "infft.h"`
Include dependency graph for flags.c:

Go to the source code of this file.

## Functions

static void | flags_cp (NFFT(plan) *dst, NFFT(plan) *src)
static void | time_accuracy (int d, int N, int M, int n, int m, unsigned test_ndft, unsigned test_pre_full_psi)
static void | accuracy_pre_lin_psi (int d, int N, int M, int n, int m, int K)
int | main (int argc, char **argv)

## Variables

unsigned | test_fg =0
unsigned | test_fftw =0
unsigned | test =0

## Detailed Description

Testing the nfft.

Author
  Stefan Kunis

References: Time and Memory Requirements of the Nonequispaced FFT

Definition in file flags.c.

## Function Documentation

## flags_cp()

void flags_cp | ( | NFFT(plan) * | dst,
|  | NFFT(plan) * | src )

static

Definition at line 58 of file flags.c.

## time_accuracy()

void time_accuracy | ( | int | d,
|  | int | N,
|  | int | M,
|  | int | n,
|  | int | m,
|  | unsigned | test_ndft,
|  | unsigned | test_pre_full_psi )

static

Definition at line 69 of file flags.c.

## accuracy_pre_lin_psi()

void accuracy_pre_lin_psi | ( | int | d,
|  | int | N,
|  | int | M,
|  | int | n,
|  | int | m,
|  | int | K )

static

Definition at line 215 of file flags.c.

## main()

int main | ( | int | argc,
|  | char ** | argv )

Definition at line 271 of file flags.c.

## Variable Documentation

## test_fg

unsigned test_fg =0

Definition at line 43 of file flags.c.

## test_fftw

unsigned test_fftw =0

Definition at line 49 of file flags.c.

## test

unsigned test =0

Definition at line 55 of file flags.c.